OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.OES.FixedPoint

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetOESFixedPoint :: MonadIO m => m Bool
- gl_OES_fixed_point :: Bool
- pattern GL_FIXED_OES :: GLenum
- glAccumxOES :: MonadIO m => GLenum -> GLfixed -> m ()
- glAlphaFuncxOES :: MonadIO m => GLenum -> GLfixed -> m ()
- glBitmapxOES :: MonadIO m => GLsizei -> GLsizei -> GLfixed -> GLfixed -> GLfixed -> GLfixed -> Ptr GLubyte -> m ()
- glBlendColorxOES :: MonadIO m => GLfixed -> GLfixed -> GLfixed -> GLfixed -> m ()
- glClearAccumxOES :: MonadIO m => GLfixed -> GLfixed -> GLfixed -> GLfixed -> m ()
- glClearColorxOES :: MonadIO m => GLfixed -> GLfixed -> GLfixed -> GLfixed -> m ()
- glClearDepthxOES :: MonadIO m => GLfixed -> m ()
- glClipPlanexOES :: MonadIO m => GLenum -> Ptr GLfixed -> m ()
- glColor3xOES :: MonadIO m => GLfixed -> GLfixed -> GLfixed -> m ()
- glColor3xvOES :: MonadIO m => Ptr GLfixed -> m ()
- glColor4xOES :: MonadIO m => GLfixed -> GLfixed -> GLfixed -> GLfixed -> m ()
- glColor4xvOES :: MonadIO m => Ptr GLfixed -> m ()
- glConvolutionParameterxOES :: MonadIO m => GLenum -> GLenum -> GLfixed -> m ()
- glConvolutionParameterxvOES :: MonadIO m => GLenum -> GLenum -> Ptr GLfixed -> m ()
- glDepthRangexOES :: MonadIO m => GLfixed -> GLfixed -> m ()
- glEvalCoord1xOES :: MonadIO m => GLfixed -> m ()
- glEvalCoord1xvOES :: MonadIO m => Ptr GLfixed -> m ()
- glEvalCoord2xOES :: MonadIO m => GLfixed -> GLfixed -> m ()
- glEvalCoord2xvOES :: MonadIO m => Ptr GLfixed -> m ()
- glFeedbackBufferxOES :: MonadIO m => GLsizei -> GLenum -> Ptr GLfixed -> m ()
- glFogxOES :: MonadIO m => GLenum -> GLfixed -> m ()
- glFogxvOES :: MonadIO m => GLenum -> Ptr GLfixed -> m ()
- glFrustumxOES :: MonadIO m => GLfixed -> GLfixed -> GLfixed -> GLfixed -> GLfixed -> GLfixed -> m ()
- glGetClipPlanexOES :: MonadIO m => GLenum -> Ptr GLfixed -> m ()
- glGetConvolutionParameterxvOES :: MonadIO m => GLenum -> GLenum -> Ptr GLfixed -> m ()
- glGetFixedvOES :: MonadIO m => GLenum -> Ptr GLfixed -> m ()
- glGetHistogramParameterxvOES :: MonadIO m => GLenum -> GLenum -> Ptr GLfixed -> m ()
- glGetLightxOES :: MonadIO m => GLenum -> GLenum -> Ptr GLfixed -> m ()
- glGetMapxvOES :: MonadIO m => GLenum -> GLenum -> Ptr GLfixed -> m ()
- glGetMaterialxOES :: MonadIO m => GLenum -> GLenum -> GLfixed -> m ()
- glGetPixelMapxv :: MonadIO m => GLenum -> GLint -> Ptr GLfixed -> m ()
- glGetTexEnvxvOES :: MonadIO m => GLenum -> GLenum -> Ptr GLfixed -> m ()
- glGetTexGenxvOES :: MonadIO m => GLenum -> GLenum -> Ptr GLfixed -> m ()
- glGetTexLevelParameterxvOES :: MonadIO m => GLenum -> GLint -> GLenum -> Ptr GLfixed -> m ()
- glGetTexParameterxvOES :: MonadIO m => GLenum -> GLenum -> Ptr GLfixed -> m ()
- glIndexxOES :: MonadIO m => GLfixed -> m ()
- glIndexxvOES :: MonadIO m => Ptr GLfixed -> m ()
- glLightModelxOES :: MonadIO m => GLenum -> GLfixed -> m ()
- glLightModelxvOES :: MonadIO m => GLenum -> Ptr GLfixed -> m ()
- glLightxOES :: MonadIO m => GLenum -> GLenum -> GLfixed -> m ()
- glLightxvOES :: MonadIO m => GLenum -> GLenum -> Ptr GLfixed -> m ()
- glLineWidthxOES :: MonadIO m => GLfixed -> m ()
- glLoadMatrixxOES :: MonadIO m => Ptr GLfixed -> m ()
- glLoadTransposeMatrixxOES :: MonadIO m => Ptr GLfixed -> m ()
- glMap1xOES :: MonadIO m => GLenum -> GLfixed -> GLfixed -> GLint -> GLint -> GLfixed -> m ()
- glMap2xOES :: MonadIO m => GLenum -> GLfixed -> GLfixed -> GLint -> GLint -> GLfixed -> GLfixed -> GLint -> GLint -> GLfixed -> m ()
- glMapGrid1xOES :: MonadIO m => GLint -> GLfixed -> GLfixed -> m ()
- glMapGrid2xOES :: MonadIO m => GLint -> GLfixed -> GLfixed -> GLfixed -> GLfixed -> m ()
- glMaterialxOES :: MonadIO m => GLenum -> GLenum -> GLfixed -> m ()
- glMaterialxvOES :: MonadIO m => GLenum -> GLenum -> Ptr GLfixed -> m ()
- glMultMatrixxOES :: MonadIO m => Ptr GLfixed -> m ()
- glMultTransposeMatrixxOES :: MonadIO m => Ptr GLfixed -> m ()
- glMultiTexCoord1xOES :: MonadIO m => GLenum -> GLfixed -> m ()
- glMultiTexCoord1xvOES :: MonadIO m => GLenum -> Ptr GLfixed -> m ()
- glMultiTexCoord2xOES :: MonadIO m => GLenum -> GLfixed -> GLfixed -> m ()
- glMultiTexCoord2xvOES :: MonadIO m => GLenum -> Ptr GLfixed -> m ()
- glMultiTexCoord3xOES :: MonadIO m => GLenum -> GLfixed -> GLfixed -> GLfixed -> m ()
- glMultiTexCoord3xvOES :: MonadIO m => GLenum -> Ptr GLfixed -> m ()
- glMultiTexCoord4xOES :: MonadIO m => GLenum -> GLfixed -> GLfixed -> GLfixed -> GLfixed -> m ()
- glMultiTexCoord4xvOES :: MonadIO m => GLenum -> Ptr GLfixed -> m ()
- glNormal3xOES :: MonadIO m => GLfixed -> GLfixed -> GLfixed -> m ()
- glNormal3xvOES :: MonadIO m => Ptr GLfixed -> m ()
- glOrthoxOES :: MonadIO m => GLfixed -> GLfixed -> GLfixed -> GLfixed -> GLfixed -> GLfixed -> m ()
- glPassThroughxOES :: MonadIO m => GLfixed -> m ()
- glPixelMapx :: MonadIO m => GLenum -> GLint -> Ptr GLfixed -> m ()
- glPixelStorex :: MonadIO m => GLenum -> GLfixed -> m ()
- glPixelTransferxOES :: MonadIO m => GLenum -> GLfixed -> m ()
- glPixelZoomxOES :: MonadIO m => GLfixed -> GLfixed -> m ()
- glPointParameterxvOES :: MonadIO m => GLenum -> Ptr GLfixed -> m ()
- glPointSizexOES :: MonadIO m => GLfixed -> m ()
- glPolygonOffsetxOES :: MonadIO m => GLfixed -> GLfixed -> m ()
- glPrioritizeTexturesxOES :: MonadIO m => GLsizei -> Ptr GLuint -> Ptr GLfixed -> m ()
- glRasterPos2xOES :: MonadIO m => GLfixed -> GLfixed -> m ()
- glRasterPos2xvOES :: MonadIO m => Ptr GLfixed -> m ()
- glRasterPos3xOES :: MonadIO m => GLfixed -> GLfixed -> GLfixed -> m ()
- glRasterPos3xvOES :: MonadIO m => Ptr GLfixed -> m ()
- glRasterPos4xOES :: MonadIO m => GLfixed -> GLfixed -> GLfixed -> GLfixed -> m ()
- glRasterPos4xvOES :: MonadIO m => Ptr GLfixed -> m ()
- glRectxOES :: MonadIO m => GLfixed -> GLfixed -> GLfixed -> GLfixed -> m ()
- glRectxvOES :: MonadIO m => Ptr GLfixed -> Ptr GLfixed -> m ()
- glRotatexOES :: MonadIO m => GLfixed -> GLfixed -> GLfixed -> GLfixed -> m ()
- glScalexOES :: MonadIO m => GLfixed -> GLfixed -> GLfixed -> m ()
- glTexCoord1xOES :: MonadIO m => GLfixed -> m ()
- glTexCoord1xvOES :: MonadIO m => Ptr GLfixed -> m ()
- glTexCoord2xOES :: MonadIO m => GLfixed -> GLfixed -> m ()
- glTexCoord2xvOES :: MonadIO m => Ptr GLfixed -> m ()
- glTexCoord3xOES :: MonadIO m => GLfixed -> GLfixed -> GLfixed -> m ()
- glTexCoord3xvOES :: MonadIO m => Ptr GLfixed -> m ()
- glTexCoord4xOES :: MonadIO m => GLfixed -> GLfixed -> GLfixed -> GLfixed -> m ()
- glTexCoord4xvOES :: MonadIO m => Ptr GLfixed -> m ()
- glTexEnvxOES :: MonadIO m => GLenum -> GLenum -> GLfixed -> m ()
- glTexEnvxvOES :: MonadIO m => GLenum -> GLenum -> Ptr GLfixed -> m ()
- glTexGenxOES :: MonadIO m => GLenum -> GLenum -> GLfixed -> m ()
- glTexGenxvOES :: MonadIO m => GLenum -> GLenum -> Ptr GLfixed -> m ()
- glTexParameterxOES :: MonadIO m => GLenum -> GLenum -> GLfixed -> m ()
- glTexParameterxvOES :: MonadIO m => GLenum -> GLenum -> Ptr GLfixed -> m ()
- glTranslatexOES :: MonadIO m => GLfixed -> GLfixed -> GLfixed -> m ()
- glVertex2xOES :: MonadIO m => GLfixed -> m ()
- glVertex2xvOES :: MonadIO m => Ptr GLfixed -> m ()
- glVertex3xOES :: MonadIO m => GLfixed -> GLfixed -> m ()
- glVertex3xvOES :: MonadIO m => Ptr GLfixed -> m ()
- glVertex4xOES :: MonadIO m => GLfixed -> GLfixed -> GLfixed -> m ()
- glVertex4xvOES :: MonadIO m => Ptr GLfixed -> m ()

# Extension Support

glGetOESFixedPoint :: MonadIO m => m Bool Source #

Is the OES_fixed_point extension supported?

gl_OES_fixed_point :: Bool Source #

Is the OES_fixed_point extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetOESFixedPoint` in those cases instead.

# Enums

pattern GL_FIXED_OES :: GLenum Source #

# Functions

glAccumxOES Source #

Arguments

:: MonadIO m |
=> GLenum | `op`.
-> GLfixed | `value`.
-> m () |

glAlphaFuncxOES Source #

Arguments

:: MonadIO m |
=> GLenum | `func` of type AlphaFunction.
-> GLfixed | `ref` of type `ClampedFixed`.
-> m () |

glBitmapxOES Source #

Arguments

:: MonadIO m |
=> GLsizei | `width`.
-> GLsizei | `height`.
-> GLfixed | `xorig`.
-> GLfixed | `yorig`.
-> GLfixed | `xmove`.
-> GLfixed | `ymove`.
-> Ptr GLubyte | `bitmap` pointing to `COMPSIZE(width,height)` elements of type `GLubyte`.
-> m () |

glBlendColorxOES Source #

Arguments

:: MonadIO m |
=> GLfixed | `red` of type `ClampedFixed`.
-> GLfixed | `green` of type `ClampedFixed`.
-> GLfixed | `blue` of type `ClampedFixed`.
-> GLfixed | `alpha` of type `ClampedFixed`.
-> m () |

glClearAccumxOES Source #

Arguments

:: MonadIO m |
=> GLfixed | `red` of type `ClampedFixed`.
-> GLfixed | `green` of type `ClampedFixed`.
-> GLfixed | `blue` of type `ClampedFixed`.
-> GLfixed | `alpha` of type `ClampedFixed`.
-> m () |

glClearColorxOES Source #

Arguments

:: MonadIO m |
=> GLfixed | `red` of type `ClampedFixed`.
-> GLfixed | `green` of type `ClampedFixed`.
-> GLfixed | `blue` of type `ClampedFixed`.
-> GLfixed | `alpha` of type `ClampedFixed`.
-> m () |

glClearDepthxOES Source #

Arguments

:: MonadIO m |
=> GLfixed | `depth` of type `ClampedFixed`.
-> m () |

glClipPlanexOES Source #

Arguments

:: MonadIO m |
=> GLenum | `plane` of type ClipPlaneName.
-> Ptr GLfixed | `equation` pointing to `4` elements of type `GLfixed`.
-> m () |

glColor3xOES Source #

Arguments

:: MonadIO m |
=> GLfixed | `red`.
-> GLfixed | `green`.
-> GLfixed | `blue`.
-> m () |

glColor3xvOES Source #

Arguments

:: MonadIO m |
=> Ptr GLfixed | `components` pointing to `3` elements of type `GLfixed`.
-> m () |

glColor4xOES Source #

Arguments

:: MonadIO m |
=> GLfixed | `red`.
-> GLfixed | `green`.
-> GLfixed | `blue`.
-> GLfixed | `alpha`.
-> m () |

glColor4xvOES Source #

Arguments

:: MonadIO m |
=> Ptr GLfixed | `components` pointing to `4` elements of type `GLfixed`.
-> m () |

glConvolutionParameterxOES Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ConvolutionTargetEXT.
-> GLenum | `pname` of type ConvolutionParameterEXT.
-> GLfixed | `param`.
-> m () |

glConvolutionParameterxvOES Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ConvolutionTargetEXT.
-> GLenum | `pname` of type ConvolutionParameterEXT.
-> Ptr GLfixed | `params` pointing to `COMPSIZE(pname)` elements of type `GLfixed`.
-> m () |

glDepthRangexOES Source #

Arguments

:: MonadIO m |
=> GLfixed | `n` of type `ClampedFixed`.
-> GLfixed | `f` of type `ClampedFixed`.
-> m () |

glEvalCoord1xOES Source #

Arguments

:: MonadIO m |
=> GLfixed | `u`.
-> m () |

glEvalCoord1xvOES Source #

Arguments

:: MonadIO m |
=> Ptr GLfixed | `coords` pointing to `1` element of type `GLfixed`.
-> m () |

glEvalCoord2xOES Source #

Arguments

:: MonadIO m |
=> GLfixed | `u`.
-> GLfixed | `v`.
-> m () |

glEvalCoord2xvOES Source #

Arguments

:: MonadIO m |
=> Ptr GLfixed | `coords` pointing to `2` elements of type `GLfixed`.
-> m () |

glFeedbackBufferxOES Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> GLenum | `type`.
-> Ptr GLfixed | `buffer` pointing to `n` elements of type `GLfixed`.
-> m () |

glFogxOES Source #

Arguments

:: MonadIO m |
=> GLenum | `pname` of type FogPName.
-> GLfixed | `param`.
-> m () |

glFogxvOES Source #

Arguments

:: MonadIO m |
=> GLenum | `pname` of type FogPName.
-> Ptr GLfixed | `param` pointing to `COMPSIZE(pname)` elements of type `GLfixed`.
-> m () |

glFrustumxOES Source #

Arguments

:: MonadIO m |
=> GLfixed | `l`.
-> GLfixed | `r`.
-> GLfixed | `b`.
-> GLfixed | `t`.
-> GLfixed | `n`.
-> GLfixed | `f`.
-> m () |

glGetClipPlanexOES Source #

Arguments

:: MonadIO m |
=> GLenum | `plane` of type ClipPlaneName.
-> Ptr GLfixed | `equation` pointing to `4` elements of type `GLfixed`.
-> m () |

glGetConvolutionParameterxvOES Source #

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLenum | `pname`.
-> Ptr GLfixed | `params` pointing to `COMPSIZE(pname)` elements of type `GLfixed`.
-> m () |

glGetFixedvOES Source #

Arguments

:: MonadIO m |
=> GLenum | `pname` of type GetPName.
-> Ptr GLfixed | `params` pointing to `COMPSIZE(pname)` elements of type `GLfixed`.
-> m () |

glGetHistogramParameterxvOES Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type HistogramTargetEXT.
-> GLenum | `pname` of type GetHistogramParameterPNameEXT.
-> Ptr GLfixed | `params` pointing to `COMPSIZE(pname)` elements of type `GLfixed`.
-> m () |

glGetLightxOES Source #

Arguments

:: MonadIO m |
=> GLenum | `light` of type LightName.
-> GLenum | `pname` of type LightParameter.
-> Ptr GLfixed | `params` pointing to `COMPSIZE(pname)` elements of type `GLfixed`.
-> m () |

glGetMapxvOES Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type MapTarget.
-> GLenum | `query` of type GetMapQuery.
-> Ptr GLfixed | `v` pointing to `COMPSIZE(query)` elements of type `GLfixed`.
-> m () |

glGetMaterialxOES Source #

Arguments

:: MonadIO m |
=> GLenum | `face` of type MaterialFace.
-> GLenum | `pname` of type MaterialParameter.
-> GLfixed | `param`.
-> m () |

glGetPixelMapxv Source #

Arguments

:: MonadIO m |
=> GLenum | `map` of type PixelMap.
-> GLint | `size`.
-> Ptr GLfixed | `values` pointing to `size` elements of type `GLfixed`.
-> m () |

glGetTexEnvxvOES Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureEnvTarget.
-> GLenum | `pname` of type TextureEnvParameter.
-> Ptr GLfixed | `params` pointing to `COMPSIZE(pname)` elements of type `GLfixed`.
-> m () |

glGetTexGenxvOES Source #

Arguments

:: MonadIO m |
=> GLenum | `coord` of type TextureCoordName.
-> GLenum | `pname` of type TextureGenParameter.
-> Ptr GLfixed | `params` pointing to `COMPSIZE(pname)` elements of type `GLfixed`.
-> m () |

glGetTexLevelParameterxvOES Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level`.
-> GLenum | `pname` of type GetTextureParameter.
-> Ptr GLfixed | `params` pointing to `COMPSIZE(pname)` elements of type `GLfixed`.
-> m () |

glGetTexParameterxvOES Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLenum | `pname` of type GetTextureParameter.
-> Ptr GLfixed | `params` pointing to `COMPSIZE(pname)` elements of type `GLfixed`.
-> m () |

glIndexxOES Source #

Arguments

:: MonadIO m |
=> GLfixed | `component`.
-> m () |

glIndexxvOES Source #

Arguments

:: MonadIO m |
=> Ptr GLfixed | `component` pointing to `1` element of type `GLfixed`.
-> m () |

glLightModelxOES Source #

Arguments

:: MonadIO m |
=> GLenum | `pname` of type LightModelParameter.
-> GLfixed | `param`.
-> m () |

glLightModelxvOES Source #

Arguments

:: MonadIO m |
=> GLenum | `pname` of type LightModelParameter.
-> Ptr GLfixed | `param` pointing to `COMPSIZE(pname)` elements of type `GLfixed`.
-> m () |

glLightxOES Source #

Arguments

:: MonadIO m |
=> GLenum | `light` of type LightName.
-> GLenum | `pname` of type LightParameter.
-> GLfixed | `param`.
-> m () |

glLightxvOES Source #

Arguments

:: MonadIO m |
=> GLenum | `light` of type LightName.
-> GLenum | `pname` of type LightParameter.
-> Ptr GLfixed | `params` pointing to `COMPSIZE(pname)` elements of type `GLfixed`.
-> m () |

glLineWidthxOES Source #

Arguments

:: MonadIO m |
=> GLfixed | `width`.
-> m () |

glLoadMatrixxOES Source #

Arguments

:: MonadIO m |
=> Ptr GLfixed | `m` pointing to `16` elements of type `GLfixed`.
-> m () |

glLoadTransposeMatrixxOES Source #

Arguments

:: MonadIO m |
=> Ptr GLfixed | `m` pointing to `16` elements of type `GLfixed`.
-> m () |

glMap1xOES Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type MapTarget.
-> GLfixed | `u1`.
-> GLfixed | `u2`.
-> GLint | `stride`.
-> GLint | `order`.
-> GLfixed | `points`.
-> m () |

glMap2xOES Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type MapTarget.
-> GLfixed | `u1`.
-> GLfixed | `u2`.
-> GLint | `ustride`.
-> GLint | `uorder`.
-> GLfixed | `v1`.
-> GLfixed | `v2`.
-> GLint | `vstride`.
-> GLint | `vorder`.
-> GLfixed | `points`.
-> m () |

glMapGrid1xOES Source #

Arguments

:: MonadIO m |
=> GLint | `n`.
-> GLfixed | `u1`.
-> GLfixed | `u2`.
-> m () |

glMapGrid2xOES Source #

Arguments

:: MonadIO m |
=> GLint | `n`.
-> GLfixed | `u1`.
-> GLfixed | `u2`.
-> GLfixed | `v1`.
-> GLfixed | `v2`.
-> m () |

glMaterialxOES Source #

Arguments

:: MonadIO m |
=> GLenum | `face` of type MaterialFace.
-> GLenum | `pname` of type MaterialParameter.
-> GLfixed | `param`.
-> m () |

glMaterialxvOES Source #

Arguments

:: MonadIO m |
=> GLenum | `face` of type MaterialFace.
-> GLenum | `pname` of type MaterialParameter.
-> Ptr GLfixed | `param` pointing to `COMPSIZE(pname)` elements of type `GLfixed`.
-> m () |

glMultMatrixxOES Source #

Arguments

:: MonadIO m |
=> Ptr GLfixed | `m` pointing to `16` elements of type `GLfixed`.
-> m () |

glMultTransposeMatrixxOES Source #

Arguments

:: MonadIO m |
=> Ptr GLfixed | `m` pointing to `16` elements of type `GLfixed`.
-> m () |

glMultiTexCoord1xOES Source #

Arguments

:: MonadIO m |
=> GLenum | `texture` of type TextureUnit.
-> GLfixed | `s`.
-> m () |

glMultiTexCoord1xvOES Source #

Arguments

:: MonadIO m |
=> GLenum | `texture` of type TextureUnit.
-> Ptr GLfixed | `coords` pointing to `1` element of type `GLfixed`.
-> m () |

glMultiTexCoord2xOES Source #

Arguments

:: MonadIO m |
=> GLenum | `texture` of type TextureUnit.
-> GLfixed | `s`.
-> GLfixed | `t`.
-> m () |

glMultiTexCoord2xvOES Source #

Arguments

:: MonadIO m |
=> GLenum | `texture` of type TextureUnit.
-> Ptr GLfixed | `coords` pointing to `2` elements of type `GLfixed`.
-> m () |

glMultiTexCoord3xOES Source #

Arguments

:: MonadIO m |
=> GLenum | `texture` of type TextureUnit.
-> GLfixed | `s`.
-> GLfixed | `t`.
-> GLfixed | `r`.
-> m () |

glMultiTexCoord3xvOES Source #

Arguments

:: MonadIO m |
=> GLenum | `texture` of type TextureUnit.
-> Ptr GLfixed | `coords` pointing to `3` elements of type `GLfixed`.
-> m () |

glMultiTexCoord4xOES Source #

Arguments

:: MonadIO m |
=> GLenum | `texture` of type TextureUnit.
-> GLfixed | `s`.
-> GLfixed | `t`.
-> GLfixed | `r`.
-> GLfixed | `q`.
-> m () |

glMultiTexCoord4xvOES Source #

Arguments

:: MonadIO m |
=> GLenum | `texture` of type TextureUnit.
-> Ptr GLfixed | `coords` pointing to `4` elements of type `GLfixed`.
-> m () |

glNormal3xOES Source #

Arguments

:: MonadIO m |
=> GLfixed | `nx`.
-> GLfixed | `ny`.
-> GLfixed | `nz`.
-> m () |

glNormal3xvOES Source #

Arguments

:: MonadIO m |
=> Ptr GLfixed | `coords` pointing to `3` elements of type `GLfixed`.
-> m () |

glOrthoxOES Source #

Arguments

:: MonadIO m |
=> GLfixed | `l`.
-> GLfixed | `r`.
-> GLfixed | `b`.
-> GLfixed | `t`.
-> GLfixed | `n`.
-> GLfixed | `f`.
-> m () |

glPassThroughxOES Source #

Arguments

:: MonadIO m |
=> GLfixed | `token`.
-> m () |

glPixelMapx Source #

Arguments

:: MonadIO m |
=> GLenum | `map` of type PixelMap.
-> GLint | `size`.
-> Ptr GLfixed | `values` pointing to `size` elements of type `GLfixed`.
-> m () |

glPixelStorex Source #

Arguments

:: MonadIO m |
=> GLenum | `pname` of type PixelStoreParameter.
-> GLfixed | `param`.
-> m () |

glPixelTransferxOES Source #

Arguments

:: MonadIO m |
=> GLenum | `pname` of type PixelTransferParameter.
-> GLfixed | `param`.
-> m () |

glPixelZoomxOES Source #

Arguments

:: MonadIO m |
=> GLfixed | `xfactor`.
-> GLfixed | `yfactor`.
-> m () |

glPointParameterxvOES Source #

Arguments

:: MonadIO m |
=> GLenum | `pname` of type PointParameterNameARB.
-> Ptr GLfixed | `params` pointing to `COMPSIZE(pname)` elements of type `GLfixed`.
-> m () |

glPointSizexOES Source #

Arguments

:: MonadIO m |
=> GLfixed | `size`.
-> m () |

glPolygonOffsetxOES Source #

Arguments

:: MonadIO m |
=> GLfixed | `factor`.
-> GLfixed | `units`.
-> m () |

glPrioritizeTexturesxOES Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `textures` pointing to `n` elements of type `GLuint`.
-> Ptr GLfixed | `priorities` pointing to `n` elements of type `ClampedFixed`.
-> m () |

glRasterPos2xOES Source #

Arguments

:: MonadIO m |
=> GLfixed | `x`.
-> GLfixed | `y`.
-> m () |

glRasterPos2xvOES Source #

Arguments

:: MonadIO m |
=> Ptr GLfixed | `coords` pointing to `2` elements of type `GLfixed`.
-> m () |

glRasterPos3xOES Source #

Arguments

:: MonadIO m |
=> GLfixed | `x`.
-> GLfixed | `y`.
-> GLfixed | `z`.
-> m () |

glRasterPos3xvOES Source #

Arguments

:: MonadIO m |
=> Ptr GLfixed | `coords` pointing to `3` elements of type `GLfixed`.
-> m () |

glRasterPos4xOES Source #

Arguments

:: MonadIO m |
=> GLfixed | `x`.
-> GLfixed | `y`.
-> GLfixed | `z`.
-> GLfixed | `w`.
-> m () |

glRasterPos4xvOES Source #

Arguments

:: MonadIO m |
=> Ptr GLfixed | `coords` pointing to `4` elements of type `GLfixed`.
-> m () |

glRectxOES Source #

Arguments

:: MonadIO m |
=> GLfixed | `x1`.
-> GLfixed | `y1`.
-> GLfixed | `x2`.
-> GLfixed | `y2`.
-> m () |

glRectxvOES Source #

Arguments

:: MonadIO m |
=> Ptr GLfixed | `v1` pointing to `2` elements of type `GLfixed`.
-> Ptr GLfixed | `v2` pointing to `2` elements of type `GLfixed`.
-> m () |

glRotatexOES Source #

Arguments

:: MonadIO m |
=> GLfixed | `angle`.
-> GLfixed | `x`.
-> GLfixed | `y`.
-> GLfixed | `z`.
-> m () |

glScalexOES Source #

Arguments

:: MonadIO m |
=> GLfixed | `x`.
-> GLfixed | `y`.
-> GLfixed | `z`.
-> m () |

glTexCoord1xOES Source #

Arguments

:: MonadIO m |
=> GLfixed | `s`.
-> m () |

glTexCoord1xvOES Source #

Arguments

:: MonadIO m |
=> Ptr GLfixed | `coords` pointing to `1` element of type `GLfixed`.
-> m () |

glTexCoord2xOES Source #

Arguments

:: MonadIO m |
=> GLfixed | `s`.
-> GLfixed | `t`.
-> m () |

glTexCoord2xvOES Source #

Arguments

:: MonadIO m |
=> Ptr GLfixed | `coords` pointing to `2` elements of type `GLfixed`.
-> m () |

glTexCoord3xOES Source #

Arguments

:: MonadIO m |
=> GLfixed | `s`.
-> GLfixed | `t`.
-> GLfixed | `r`.
-> m () |

glTexCoord3xvOES Source #

Arguments

:: MonadIO m |
=> Ptr GLfixed | `coords` pointing to `3` elements of type `GLfixed`.
-> m () |

glTexCoord4xOES Source #

Arguments

:: MonadIO m |
=> GLfixed | `s`.
-> GLfixed | `t`.
-> GLfixed | `r`.
-> GLfixed | `q`.
-> m () |

glTexCoord4xvOES Source #

Arguments

:: MonadIO m |
=> Ptr GLfixed | `coords` pointing to `4` elements of type `GLfixed`.
-> m () |

glTexEnvxOES Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureEnvTarget.
-> GLenum | `pname` of type TextureEnvParameter.
-> GLfixed | `param`.
-> m () |

glTexEnvxvOES Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureEnvTarget.
-> GLenum | `pname` of type TextureEnvParameter.
-> Ptr GLfixed | `params` pointing to `COMPSIZE(pname)` elements of type `GLfixed`.
-> m () |

glTexGenxOES Source #

Arguments

:: MonadIO m |
=> GLenum | `coord` of type TextureCoordName.
-> GLenum | `pname` of type TextureGenParameter.
-> GLfixed | `param`.
-> m () |

glTexGenxvOES Source #

Arguments

:: MonadIO m |
=> GLenum | `coord` of type TextureCoordName.
-> GLenum | `pname` of type TextureGenParameter.
-> Ptr GLfixed | `params` pointing to `COMPSIZE(pname)` elements of type `GLfixed`.
-> m () |

glTexParameterxOES Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLenum | `pname` of type GetTextureParameter.
-> GLfixed | `param`.
-> m () |

glTexParameterxvOES Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLenum | `pname` of type GetTextureParameter.
-> Ptr GLfixed | `params` pointing to `COMPSIZE(pname)` elements of type `GLfixed`.
-> m () |

glTranslatexOES Source #

Arguments

:: MonadIO m |
=> GLfixed | `x`.
-> GLfixed | `y`.
-> GLfixed | `z`.
-> m () |

glVertex2xOES Source #

Arguments

:: MonadIO m |
=> GLfixed | `x`.
-> m () |

glVertex2xvOES Source #

Arguments

:: MonadIO m |
=> Ptr GLfixed | `coords` pointing to `2` elements of type `GLfixed`.
-> m () |

glVertex3xOES Source #

Arguments

:: MonadIO m |
=> GLfixed | `x`.
-> GLfixed | `y`.
-> m () |

glVertex3xvOES Source #

Arguments

:: MonadIO m |
=> Ptr GLfixed | `coords` pointing to `3` elements of type `GLfixed`.
-> m () |

glVertex4xOES Source #

Arguments

:: MonadIO m |
=> GLfixed | `x`.
-> GLfixed | `y`.
-> GLfixed | `z`.
-> m () |

glVertex4xvOES Source #

Arguments

:: MonadIO m |
=> Ptr GLfixed | `coords` pointing to `4` elements of type `GLfixed`.
-> m () |